Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network172.26.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
172.26.0.0
Broadcast address
172.27.255.255
First usable
172.26.0.1
Last usable
172.27.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Private (RFC 1918) 172.16.0.0/12
Office and home networks; not routed on the internet
Old class
B (default /16)
As numbers
Hex AC1A0000 · Integer 2887385088 to 2887516159
Reverse DNS zones
26.172.in-addr.arpa
27.172.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101100.00011010.00000000.00000000172.26.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10101100.00011010.00000000.00000000172.26.0.0
Broadcast10101100.00011011.11111111.11111111172.27.255.255
Split into smaller subnets/25

172.26.0.0/15 makes 1,024 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1172.26.0.0/25172.26.0.1 to 172.26.0.126172.26.0.127126
2172.26.0.128/25172.26.0.129 to 172.26.0.254172.26.0.255126
3172.26.1.0/25172.26.1.1 to 172.26.1.126172.26.1.127126
4172.26.1.128/25172.26.1.129 to 172.26.1.254172.26.1.255126
5172.26.2.0/25172.26.2.1 to 172.26.2.126172.26.2.127126
6172.26.2.128/25172.26.2.129 to 172.26.2.254172.26.2.255126
7172.26.3.0/25172.26.3.1 to 172.26.3.126172.26.3.127126
8172.26.3.128/25172.26.3.129 to 172.26.3.254172.26.3.255126
9172.26.4.0/25172.26.4.1 to 172.26.4.126172.26.4.127126
10172.26.4.128/25172.26.4.129 to 172.26.4.254172.26.4.255126
11172.26.5.0/25172.26.5.1 to 172.26.5.126172.26.5.127126
12172.26.5.128/25172.26.5.129 to 172.26.5.254172.26.5.255126
13172.26.6.0/25172.26.6.1 to 172.26.6.126172.26.6.127126
14172.26.6.128/25172.26.6.129 to 172.26.6.254172.26.6.255126
15172.26.7.0/25172.26.7.1 to 172.26.7.126172.26.7.127126
16172.26.7.128/25172.26.7.129 to 172.26.7.254172.26.7.255126
17172.26.8.0/25172.26.8.1 to 172.26.8.126172.26.8.127126
18172.26.8.128/25172.26.8.129 to 172.26.8.254172.26.8.255126
19172.26.9.0/25172.26.9.1 to 172.26.9.126172.26.9.127126
20172.26.9.128/25172.26.9.129 to 172.26.9.254172.26.9.255126
21172.26.10.0/25172.26.10.1 to 172.26.10.126172.26.10.127126
22172.26.10.128/25172.26.10.129 to 172.26.10.254172.26.10.255126
23172.26.11.0/25172.26.11.1 to 172.26.11.126172.26.11.127126
24172.26.11.128/25172.26.11.129 to 172.26.11.254172.26.11.255126
25172.26.12.0/25172.26.12.1 to 172.26.12.126172.26.12.127126
26172.26.12.128/25172.26.12.129 to 172.26.12.254172.26.12.255126
27172.26.13.0/25172.26.13.1 to 172.26.13.126172.26.13.127126
28172.26.13.128/25172.26.13.129 to 172.26.13.254172.26.13.255126
29172.26.14.0/25172.26.14.1 to 172.26.14.126172.26.14.127126
30172.26.14.128/25172.26.14.129 to 172.26.14.254172.26.14.255126
31172.26.15.0/25172.26.15.1 to 172.26.15.126172.26.15.127126
32172.26.15.128/25172.26.15.129 to 172.26.15.254172.26.15.255126
33172.26.16.0/25172.26.16.1 to 172.26.16.126172.26.16.127126
34172.26.16.128/25172.26.16.129 to 172.26.16.254172.26.16.255126
35172.26.17.0/25172.26.17.1 to 172.26.17.126172.26.17.127126
36172.26.17.128/25172.26.17.129 to 172.26.17.254172.26.17.255126
37172.26.18.0/25172.26.18.1 to 172.26.18.126172.26.18.127126
38172.26.18.128/25172.26.18.129 to 172.26.18.254172.26.18.255126
39172.26.19.0/25172.26.19.1 to 172.26.19.126172.26.19.127126
40172.26.19.128/25172.26.19.129 to 172.26.19.254172.26.19.255126
41172.26.20.0/25172.26.20.1 to 172.26.20.126172.26.20.127126
42172.26.20.128/25172.26.20.129 to 172.26.20.254172.26.20.255126
43172.26.21.0/25172.26.21.1 to 172.26.21.126172.26.21.127126
44172.26.21.128/25172.26.21.129 to 172.26.21.254172.26.21.255126
45172.26.22.0/25172.26.22.1 to 172.26.22.126172.26.22.127126
46172.26.22.128/25172.26.22.129 to 172.26.22.254172.26.22.255126
47172.26.23.0/25172.26.23.1 to 172.26.23.126172.26.23.127126
48172.26.23.128/25172.26.23.129 to 172.26.23.254172.26.23.255126
49172.26.24.0/25172.26.24.1 to 172.26.24.126172.26.24.127126
50172.26.24.128/25172.26.24.129 to 172.26.24.254172.26.24.255126
51172.26.25.0/25172.26.25.1 to 172.26.25.126172.26.25.127126
52172.26.25.128/25172.26.25.129 to 172.26.25.254172.26.25.255126
53172.26.26.0/25172.26.26.1 to 172.26.26.126172.26.26.127126
54172.26.26.128/25172.26.26.129 to 172.26.26.254172.26.26.255126
55172.26.27.0/25172.26.27.1 to 172.26.27.126172.26.27.127126
56172.26.27.128/25172.26.27.129 to 172.26.27.254172.26.27.255126
57172.26.28.0/25172.26.28.1 to 172.26.28.126172.26.28.127126
58172.26.28.128/25172.26.28.129 to 172.26.28.254172.26.28.255126
59172.26.29.0/25172.26.29.1 to 172.26.29.126172.26.29.127126
60172.26.29.128/25172.26.29.129 to 172.26.29.254172.26.29.255126
61172.26.30.0/25172.26.30.1 to 172.26.30.126172.26.30.127126
62172.26.30.128/25172.26.30.129 to 172.26.30.254172.26.30.255126
63172.26.31.0/25172.26.31.1 to 172.26.31.126172.26.31.127126
64172.26.31.128/25172.26.31.129 to 172.26.31.254172.26.31.255126
65172.26.32.0/25172.26.32.1 to 172.26.32.126172.26.32.127126
66172.26.32.128/25172.26.32.129 to 172.26.32.254172.26.32.255126
67172.26.33.0/25172.26.33.1 to 172.26.33.126172.26.33.127126
68172.26.33.128/25172.26.33.129 to 172.26.33.254172.26.33.255126
69172.26.34.0/25172.26.34.1 to 172.26.34.126172.26.34.127126
70172.26.34.128/25172.26.34.129 to 172.26.34.254172.26.34.255126
71172.26.35.0/25172.26.35.1 to 172.26.35.126172.26.35.127126
72172.26.35.128/25172.26.35.129 to 172.26.35.254172.26.35.255126
73172.26.36.0/25172.26.36.1 to 172.26.36.126172.26.36.127126
74172.26.36.128/25172.26.36.129 to 172.26.36.254172.26.36.255126
75172.26.37.0/25172.26.37.1 to 172.26.37.126172.26.37.127126
76172.26.37.128/25172.26.37.129 to 172.26.37.254172.26.37.255126
77172.26.38.0/25172.26.38.1 to 172.26.38.126172.26.38.127126
78172.26.38.128/25172.26.38.129 to 172.26.38.254172.26.38.255126
79172.26.39.0/25172.26.39.1 to 172.26.39.126172.26.39.127126
80172.26.39.128/25172.26.39.129 to 172.26.39.254172.26.39.255126
81172.26.40.0/25172.26.40.1 to 172.26.40.126172.26.40.127126
82172.26.40.128/25172.26.40.129 to 172.26.40.254172.26.40.255126
83172.26.41.0/25172.26.41.1 to 172.26.41.126172.26.41.127126
84172.26.41.128/25172.26.41.129 to 172.26.41.254172.26.41.255126
85172.26.42.0/25172.26.42.1 to 172.26.42.126172.26.42.127126
86172.26.42.128/25172.26.42.129 to 172.26.42.254172.26.42.255126
87172.26.43.0/25172.26.43.1 to 172.26.43.126172.26.43.127126
88172.26.43.128/25172.26.43.129 to 172.26.43.254172.26.43.255126
89172.26.44.0/25172.26.44.1 to 172.26.44.126172.26.44.127126
90172.26.44.128/25172.26.44.129 to 172.26.44.254172.26.44.255126
91172.26.45.0/25172.26.45.1 to 172.26.45.126172.26.45.127126
92172.26.45.128/25172.26.45.129 to 172.26.45.254172.26.45.255126
93172.26.46.0/25172.26.46.1 to 172.26.46.126172.26.46.127126
94172.26.46.128/25172.26.46.129 to 172.26.46.254172.26.46.255126
95172.26.47.0/25172.26.47.1 to 172.26.47.126172.26.47.127126
96172.26.47.128/25172.26.47.129 to 172.26.47.254172.26.47.255126
97172.26.48.0/25172.26.48.1 to 172.26.48.126172.26.48.127126
98172.26.48.128/25172.26.48.129 to 172.26.48.254172.26.48.255126
99172.26.49.0/25172.26.49.1 to 172.26.49.126172.26.49.127126
100172.26.49.128/25172.26.49.129 to 172.26.49.254172.26.49.255126
101172.26.50.0/25172.26.50.1 to 172.26.50.126172.26.50.127126
102172.26.50.128/25172.26.50.129 to 172.26.50.254172.26.50.255126
103172.26.51.0/25172.26.51.1 to 172.26.51.126172.26.51.127126
104172.26.51.128/25172.26.51.129 to 172.26.51.254172.26.51.255126
105172.26.52.0/25172.26.52.1 to 172.26.52.126172.26.52.127126
106172.26.52.128/25172.26.52.129 to 172.26.52.254172.26.52.255126
107172.26.53.0/25172.26.53.1 to 172.26.53.126172.26.53.127126
108172.26.53.128/25172.26.53.129 to 172.26.53.254172.26.53.255126
109172.26.54.0/25172.26.54.1 to 172.26.54.126172.26.54.127126
110172.26.54.128/25172.26.54.129 to 172.26.54.254172.26.54.255126
111172.26.55.0/25172.26.55.1 to 172.26.55.126172.26.55.127126
112172.26.55.128/25172.26.55.129 to 172.26.55.254172.26.55.255126
113172.26.56.0/25172.26.56.1 to 172.26.56.126172.26.56.127126
114172.26.56.128/25172.26.56.129 to 172.26.56.254172.26.56.255126
115172.26.57.0/25172.26.57.1 to 172.26.57.126172.26.57.127126
116172.26.57.128/25172.26.57.129 to 172.26.57.254172.26.57.255126
117172.26.58.0/25172.26.58.1 to 172.26.58.126172.26.58.127126
118172.26.58.128/25172.26.58.129 to 172.26.58.254172.26.58.255126
119172.26.59.0/25172.26.59.1 to 172.26.59.126172.26.59.127126
120172.26.59.128/25172.26.59.129 to 172.26.59.254172.26.59.255126
121172.26.60.0/25172.26.60.1 to 172.26.60.126172.26.60.127126
122172.26.60.128/25172.26.60.129 to 172.26.60.254172.26.60.255126
123172.26.61.0/25172.26.61.1 to 172.26.61.126172.26.61.127126
124172.26.61.128/25172.26.61.129 to 172.26.61.254172.26.61.255126
125172.26.62.0/25172.26.62.1 to 172.26.62.126172.26.62.127126
126172.26.62.128/25172.26.62.129 to 172.26.62.254172.26.62.255126
127172.26.63.0/25172.26.63.1 to 172.26.63.126172.26.63.127126
128172.26.63.128/25172.26.63.129 to 172.26.63.254172.26.63.255126
129172.26.64.0/25172.26.64.1 to 172.26.64.126172.26.64.127126
130172.26.64.128/25172.26.64.129 to 172.26.64.254172.26.64.255126
131172.26.65.0/25172.26.65.1 to 172.26.65.126172.26.65.127126
132172.26.65.128/25172.26.65.129 to 172.26.65.254172.26.65.255126
133172.26.66.0/25172.26.66.1 to 172.26.66.126172.26.66.127126
134172.26.66.128/25172.26.66.129 to 172.26.66.254172.26.66.255126
135172.26.67.0/25172.26.67.1 to 172.26.67.126172.26.67.127126
136172.26.67.128/25172.26.67.129 to 172.26.67.254172.26.67.255126
137172.26.68.0/25172.26.68.1 to 172.26.68.126172.26.68.127126
138172.26.68.128/25172.26.68.129 to 172.26.68.254172.26.68.255126
139172.26.69.0/25172.26.69.1 to 172.26.69.126172.26.69.127126
140172.26.69.128/25172.26.69.129 to 172.26.69.254172.26.69.255126
141172.26.70.0/25172.26.70.1 to 172.26.70.126172.26.70.127126
142172.26.70.128/25172.26.70.129 to 172.26.70.254172.26.70.255126
143172.26.71.0/25172.26.71.1 to 172.26.71.126172.26.71.127126
144172.26.71.128/25172.26.71.129 to 172.26.71.254172.26.71.255126
145172.26.72.0/25172.26.72.1 to 172.26.72.126172.26.72.127126
146172.26.72.128/25172.26.72.129 to 172.26.72.254172.26.72.255126
147172.26.73.0/25172.26.73.1 to 172.26.73.126172.26.73.127126
148172.26.73.128/25172.26.73.129 to 172.26.73.254172.26.73.255126
149172.26.74.0/25172.26.74.1 to 172.26.74.126172.26.74.127126
150172.26.74.128/25172.26.74.129 to 172.26.74.254172.26.74.255126
151172.26.75.0/25172.26.75.1 to 172.26.75.126172.26.75.127126
152172.26.75.128/25172.26.75.129 to 172.26.75.254172.26.75.255126
153172.26.76.0/25172.26.76.1 to 172.26.76.126172.26.76.127126
154172.26.76.128/25172.26.76.129 to 172.26.76.254172.26.76.255126
155172.26.77.0/25172.26.77.1 to 172.26.77.126172.26.77.127126
156172.26.77.128/25172.26.77.129 to 172.26.77.254172.26.77.255126
157172.26.78.0/25172.26.78.1 to 172.26.78.126172.26.78.127126
158172.26.78.128/25172.26.78.129 to 172.26.78.254172.26.78.255126
159172.26.79.0/25172.26.79.1 to 172.26.79.126172.26.79.127126
160172.26.79.128/25172.26.79.129 to 172.26.79.254172.26.79.255126
161172.26.80.0/25172.26.80.1 to 172.26.80.126172.26.80.127126
162172.26.80.128/25172.26.80.129 to 172.26.80.254172.26.80.255126
163172.26.81.0/25172.26.81.1 to 172.26.81.126172.26.81.127126
164172.26.81.128/25172.26.81.129 to 172.26.81.254172.26.81.255126
165172.26.82.0/25172.26.82.1 to 172.26.82.126172.26.82.127126
166172.26.82.128/25172.26.82.129 to 172.26.82.254172.26.82.255126
167172.26.83.0/25172.26.83.1 to 172.26.83.126172.26.83.127126
168172.26.83.128/25172.26.83.129 to 172.26.83.254172.26.83.255126
169172.26.84.0/25172.26.84.1 to 172.26.84.126172.26.84.127126
170172.26.84.128/25172.26.84.129 to 172.26.84.254172.26.84.255126
171172.26.85.0/25172.26.85.1 to 172.26.85.126172.26.85.127126
172172.26.85.128/25172.26.85.129 to 172.26.85.254172.26.85.255126
173172.26.86.0/25172.26.86.1 to 172.26.86.126172.26.86.127126
174172.26.86.128/25172.26.86.129 to 172.26.86.254172.26.86.255126
175172.26.87.0/25172.26.87.1 to 172.26.87.126172.26.87.127126
176172.26.87.128/25172.26.87.129 to 172.26.87.254172.26.87.255126
177172.26.88.0/25172.26.88.1 to 172.26.88.126172.26.88.127126
178172.26.88.128/25172.26.88.129 to 172.26.88.254172.26.88.255126
179172.26.89.0/25172.26.89.1 to 172.26.89.126172.26.89.127126
180172.26.89.128/25172.26.89.129 to 172.26.89.254172.26.89.255126
181172.26.90.0/25172.26.90.1 to 172.26.90.126172.26.90.127126
182172.26.90.128/25172.26.90.129 to 172.26.90.254172.26.90.255126
183172.26.91.0/25172.26.91.1 to 172.26.91.126172.26.91.127126
184172.26.91.128/25172.26.91.129 to 172.26.91.254172.26.91.255126
185172.26.92.0/25172.26.92.1 to 172.26.92.126172.26.92.127126
186172.26.92.128/25172.26.92.129 to 172.26.92.254172.26.92.255126
187172.26.93.0/25172.26.93.1 to 172.26.93.126172.26.93.127126
188172.26.93.128/25172.26.93.129 to 172.26.93.254172.26.93.255126
189172.26.94.0/25172.26.94.1 to 172.26.94.126172.26.94.127126
190172.26.94.128/25172.26.94.129 to 172.26.94.254172.26.94.255126
191172.26.95.0/25172.26.95.1 to 172.26.95.126172.26.95.127126
192172.26.95.128/25172.26.95.129 to 172.26.95.254172.26.95.255126
193172.26.96.0/25172.26.96.1 to 172.26.96.126172.26.96.127126
194172.26.96.128/25172.26.96.129 to 172.26.96.254172.26.96.255126
195172.26.97.0/25172.26.97.1 to 172.26.97.126172.26.97.127126
196172.26.97.128/25172.26.97.129 to 172.26.97.254172.26.97.255126
197172.26.98.0/25172.26.98.1 to 172.26.98.126172.26.98.127126
198172.26.98.128/25172.26.98.129 to 172.26.98.254172.26.98.255126
199172.26.99.0/25172.26.99.1 to 172.26.99.126172.26.99.127126
200172.26.99.128/25172.26.99.129 to 172.26.99.254172.26.99.255126
201172.26.100.0/25172.26.100.1 to 172.26.100.126172.26.100.127126
202172.26.100.128/25172.26.100.129 to 172.26.100.254172.26.100.255126
203172.26.101.0/25172.26.101.1 to 172.26.101.126172.26.101.127126
204172.26.101.128/25172.26.101.129 to 172.26.101.254172.26.101.255126
205172.26.102.0/25172.26.102.1 to 172.26.102.126172.26.102.127126
206172.26.102.128/25172.26.102.129 to 172.26.102.254172.26.102.255126
207172.26.103.0/25172.26.103.1 to 172.26.103.126172.26.103.127126
208172.26.103.128/25172.26.103.129 to 172.26.103.254172.26.103.255126
209172.26.104.0/25172.26.104.1 to 172.26.104.126172.26.104.127126
210172.26.104.128/25172.26.104.129 to 172.26.104.254172.26.104.255126
211172.26.105.0/25172.26.105.1 to 172.26.105.126172.26.105.127126
212172.26.105.128/25172.26.105.129 to 172.26.105.254172.26.105.255126
213172.26.106.0/25172.26.106.1 to 172.26.106.126172.26.106.127126
214172.26.106.128/25172.26.106.129 to 172.26.106.254172.26.106.255126
215172.26.107.0/25172.26.107.1 to 172.26.107.126172.26.107.127126
216172.26.107.128/25172.26.107.129 to 172.26.107.254172.26.107.255126
217172.26.108.0/25172.26.108.1 to 172.26.108.126172.26.108.127126
218172.26.108.128/25172.26.108.129 to 172.26.108.254172.26.108.255126
219172.26.109.0/25172.26.109.1 to 172.26.109.126172.26.109.127126
220172.26.109.128/25172.26.109.129 to 172.26.109.254172.26.109.255126
221172.26.110.0/25172.26.110.1 to 172.26.110.126172.26.110.127126
222172.26.110.128/25172.26.110.129 to 172.26.110.254172.26.110.255126
223172.26.111.0/25172.26.111.1 to 172.26.111.126172.26.111.127126
224172.26.111.128/25172.26.111.129 to 172.26.111.254172.26.111.255126
225172.26.112.0/25172.26.112.1 to 172.26.112.126172.26.112.127126
226172.26.112.128/25172.26.112.129 to 172.26.112.254172.26.112.255126
227172.26.113.0/25172.26.113.1 to 172.26.113.126172.26.113.127126
228172.26.113.128/25172.26.113.129 to 172.26.113.254172.26.113.255126
229172.26.114.0/25172.26.114.1 to 172.26.114.126172.26.114.127126
230172.26.114.128/25172.26.114.129 to 172.26.114.254172.26.114.255126
231172.26.115.0/25172.26.115.1 to 172.26.115.126172.26.115.127126
232172.26.115.128/25172.26.115.129 to 172.26.115.254172.26.115.255126
233172.26.116.0/25172.26.116.1 to 172.26.116.126172.26.116.127126
234172.26.116.128/25172.26.116.129 to 172.26.116.254172.26.116.255126
235172.26.117.0/25172.26.117.1 to 172.26.117.126172.26.117.127126
236172.26.117.128/25172.26.117.129 to 172.26.117.254172.26.117.255126
237172.26.118.0/25172.26.118.1 to 172.26.118.126172.26.118.127126
238172.26.118.128/25172.26.118.129 to 172.26.118.254172.26.118.255126
239172.26.119.0/25172.26.119.1 to 172.26.119.126172.26.119.127126
240172.26.119.128/25172.26.119.129 to 172.26.119.254172.26.119.255126
241172.26.120.0/25172.26.120.1 to 172.26.120.126172.26.120.127126
242172.26.120.128/25172.26.120.129 to 172.26.120.254172.26.120.255126
243172.26.121.0/25172.26.121.1 to 172.26.121.126172.26.121.127126
244172.26.121.128/25172.26.121.129 to 172.26.121.254172.26.121.255126
245172.26.122.0/25172.26.122.1 to 172.26.122.126172.26.122.127126
246172.26.122.128/25172.26.122.129 to 172.26.122.254172.26.122.255126
247172.26.123.0/25172.26.123.1 to 172.26.123.126172.26.123.127126
248172.26.123.128/25172.26.123.129 to 172.26.123.254172.26.123.255126
249172.26.124.0/25172.26.124.1 to 172.26.124.126172.26.124.127126
250172.26.124.128/25172.26.124.129 to 172.26.124.254172.26.124.255126
251172.26.125.0/25172.26.125.1 to 172.26.125.126172.26.125.127126
252172.26.125.128/25172.26.125.129 to 172.26.125.254172.26.125.255126
253172.26.126.0/25172.26.126.1 to 172.26.126.126172.26.126.127126
254172.26.126.128/25172.26.126.129 to 172.26.126.254172.26.126.255126
255172.26.127.0/25172.26.127.1 to 172.26.127.126172.26.127.127126
256172.26.127.128/25172.26.127.129 to 172.26.127.254172.26.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses